diff --git a/web/pgadmin/feature_tests/view_data_dml_queries.py b/web/pgadmin/feature_tests/view_data_dml_queries.py
index 12e42951..23c0ea14 100644
--- a/web/pgadmin/feature_tests/view_data_dml_queries.py
+++ b/web/pgadmin/feature_tests/view_data_dml_queries.py
@@ -313,6 +313,10 @@ CREATE TABLE public.defaults_{0}
 
         self.page.wait_for_query_tool_loading_indicator_to_disappear()
 
+        # We need to make sure that the whole table is visible
+        # so that selenium will be able to retrieve all columns of data
+        self.page.driver.maximize_window()
+
         result_row = self.page.find_by_xpath(xpath)
 
         # List of row values in an array
